GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Macros | Typedefs | Functions | Variables
grpc_security.h File Reference
`#include <grpc/grpc.h>`
`#include <grpc/status.h>`

Go to the source code of this file.

## Data Structures
struct | grpc_ssl_pem_key_cert_pair
struct | grpc_auth_property_iterator
struct | grpc_auth_property

## Macros
#define | GRPC_GOOGLE_CREDENTIALS_ENV_VAR "GOOGLE_APPLICATION_CREDENTIALS"
#define | GRPC_DEFAULT_SSL_ROOTS_FILE_PATH_ENV_VAR "GRPC_DEFAULT_SSL_ROOTS_FILE_PATH"
#define | GRPC_SSL_TARGET_NAME_OVERRIDE_ARG "grpc.ssl_target_name_override"
#define | GRPC_TRANSPORT_SECURITY_TYPE_PROPERTY_NAME "transport_security_type"
#define | GRPC_SSL_TRANSPORT_SECURITY_TYPE "ssl"
#define | GRPC_X509_CN_PROPERTY_NAME "x509_common_name"
#define | GRPC_X509_SAN_PROPERTY_NAME "x509_subject_alternative_name"

## Typedefs
typedef struct grpc_credentials | grpc_credentials
typedef struct grpc_server_credentials | grpc_server_credentials
typedef struct grpc_auth_context | grpc_auth_context
typedef struct grpc_auth_property_iterator | grpc_auth_property_iterator
typedef struct grpc_auth_property | grpc_auth_property

## Functions
void | grpc_credentials_release (grpc_credentials *creds)
grpc_credentials * | grpc_google_default_credentials_create (void)
grpc_credentials * | grpc_ssl_credentials_create (const char *pem_root_certs, grpc_ssl_pem_key_cert_pair *pem_key_cert_pair)
grpc_credentials * | grpc_composite_credentials_create (grpc_credentials *creds1, grpc_credentials *creds2)
grpc_credentials * | grpc_compute_engine_credentials_create (void)
grpc_credentials * | grpc_service_account_credentials_create (const char *json_key, const char *scope, gpr_timespec token_lifetime)
grpc_credentials * | grpc_service_account_jwt_access_credentials_create (const char *json_key, gpr_timespec token_lifetime)
grpc_credentials * | grpc_refresh_token_credentials_create (const char *json_refresh_token)
grpc_credentials * | grpc_access_token_credentials_create (const char *access_token)
grpc_credentials * | grpc_iam_credentials_create (const char *authorization_token, const char *authority_selector)
grpc_channel * | grpc_secure_channel_create (grpc_credentials *creds, const char *target, const grpc_channel_args *args)
void | grpc_server_credentials_release (grpc_server_credentials *creds)
grpc_server_credentials * | grpc_ssl_server_credentials_create (const char *pem_root_certs, grpc_ssl_pem_key_cert_pair *pem_key_cert_pairs, size_t num_key_cert_pairs, int force_client_auth)
int | grpc_server_add_secure_http2_port (grpc_server *server, const char *addr, grpc_server_credentials *creds)
grpc_call_error | grpc_call_set_credentials (grpc_call *call, grpc_credentials *creds)
const grpc_auth_property * | grpc_auth_property_iterator_next (grpc_auth_property_iterator *it)
grpc_auth_property_iterator | grpc_auth_context_property_iterator (const grpc_auth_context *ctx)
grpc_auth_property_iterator | grpc_auth_context_peer_identity (const grpc_auth_context *ctx)
grpc_auth_property_iterator | grpc_auth_context_find_properties_by_name (const grpc_auth_context *ctx, const char *name)
const char * | grpc_auth_context_peer_identity_property_name (const grpc_auth_context *ctx)
int | grpc_auth_context_peer_is_authenticated (const grpc_auth_context *ctx)
grpc_auth_context * | grpc_call_auth_context (grpc_call *call)
void | grpc_auth_context_release (grpc_auth_context *context)

## Variables
const gpr_timespec | grpc_max_auth_token_lifetime

## Macro Definition Documentation

#define GRPC_DEFAULT_SSL_ROOTS_FILE_PATH_ENV_VAR "GRPC_DEFAULT_SSL_ROOTS_FILE_PATH"

#define GRPC_GOOGLE_CREDENTIALS_ENV_VAR "GOOGLE_APPLICATION_CREDENTIALS"

#define GRPC_SSL_TARGET_NAME_OVERRIDE_ARG "grpc.ssl_target_name_override"

#define GRPC_SSL_TRANSPORT_SECURITY_TYPE "ssl"

#define GRPC_TRANSPORT_SECURITY_TYPE_PROPERTY_NAME "transport_security_type"

#define GRPC_X509_CN_PROPERTY_NAME "x509_common_name"

#define GRPC_X509_SAN_PROPERTY_NAME "x509_subject_alternative_name"

## Typedef Documentation

typedef struct grpc_auth_context grpc_auth_context

typedef struct grpc_auth_property grpc_auth_property

typedef struct grpc_auth_property_iterator grpc_auth_property_iterator

typedef struct grpc_credentials grpc_credentials

typedef struct grpc_server_credentials grpc_server_credentials

## Function Documentation

grpc_credentials* grpc_access_token_credentials_create | ( | const char * | access_token | ) |

grpc_auth_property_iterator grpc_auth_context_find_properties_by_name | ( | const grpc_auth_context * | ctx,
|  | const char * | name
| ) |  |

grpc_auth_property_iterator grpc_auth_context_peer_identity | ( | const grpc_auth_context * | ctx | ) |

const char* grpc_auth_context_peer_identity_property_name | ( | const grpc_auth_context * | ctx | ) |

int grpc_auth_context_peer_is_authenticated | ( | const grpc_auth_context * | ctx | ) |

grpc_auth_property_iterator grpc_auth_context_property_iterator | ( | const grpc_auth_context * | ctx | ) |

void grpc_auth_context_release | ( | grpc_auth_context * | context | ) |

const grpc_auth_property* grpc_auth_property_iterator_next | ( | grpc_auth_property_iterator * | it | ) |

grpc_auth_context* grpc_call_auth_context | ( | grpc_call * | call | ) |

grpc_call_error grpc_call_set_credentials | ( | grpc_call * | call,
|  | grpc_credentials * | creds
| ) |  |

grpc_credentials* grpc_composite_credentials_create | ( | grpc_credentials * | creds1,
|  | grpc_credentials * | creds2
| ) |  |

grpc_credentials* grpc_compute_engine_credentials_create | ( | void |  | ) |

void grpc_credentials_release | ( | grpc_credentials * | creds | ) |

grpc_credentials* grpc_google_default_credentials_create | ( | void |  | ) |

grpc_credentials* grpc_iam_credentials_create | ( | const char * | authorization_token,
|  | const char * | authority_selector
| ) |  |

grpc_credentials* grpc_refresh_token_credentials_create | ( | const char * | json_refresh_token | ) |

grpc_channel* grpc_secure_channel_create | ( | grpc_credentials * | creds,
|  | const char * | target,
|  | const grpc_channel_args * | args
| ) |  |

int grpc_server_add_secure_http2_port | ( | grpc_server * | server,
|  | const char * | addr,
|  | grpc_server_credentials * | creds
| ) |  |

void grpc_server_credentials_release | ( | grpc_server_credentials * | creds | ) |

grpc_credentials* grpc_service_account_credentials_create | ( | const char * | json_key,
|  | const char * | scope,
|  | gpr_timespec | token_lifetime
| ) |  |

grpc_credentials* grpc_service_account_jwt_access_credentials_create | ( | const char * | json_key,
|  | gpr_timespec | token_lifetime
| ) |  |

grpc_credentials* grpc_ssl_credentials_create | ( | const char * | pem_root_certs,
|  | grpc_ssl_pem_key_cert_pair * | pem_key_cert_pair
| ) |  |

grpc_server_credentials* grpc_ssl_server_credentials_create | ( | const char * | pem_root_certs,
|  | grpc_ssl_pem_key_cert_pair * | pem_key_cert_pairs,
|  | size_t | num_key_cert_pairs,
|  | int | force_client_auth
| ) |  |

## Variable Documentation

const gpr_timespec grpc_max_auth_token_lifetime